namespace Harmonia.Core.Caching;

public interface ICache<TKey, TValue>
{
    Task<TValue?> GetAsync(TKey key, CancellationToken cancellationToken);
    Task<TValue?> RefreshAsync(TKey key, CancellationToken cancellationToken);
}